<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>cn.axzo.workflow</groupId>
        <artifactId>workflow-engine</artifactId>
        <version>${revision}</version>
    </parent>
    <version>${revision}</version>
    <artifactId>workflow-engine-support</artifactId>
    <packaging>jar</packaging>
    <name>Workflow Engine Support</name>
    <dependencies>
        <dependency>
            <groupId>com.github.javaparser</groupId>
            <artifactId>javaparser-core</artifactId>
        </dependency>
    </dependencies>
    <build>
        <plugins>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>exec-maven-plugin</artifactId>
                <version>3.1.0</version> <!-- 请检查并使用最新版本 -->
                <executions>
                    <execution>
                        <id>run-custom-code</id>
                        <phase>process-classes</phase> <!-- 在 process-classes 阶段运行，可以根据需要调整 -->
                        <goals>
                            <goal>java</goal>
                        </goals>
                        <configuration>
                            <mainClass>cn.axzo.workflow.support.api.CodeGenerator</mainClass> <!-- 指定包含你要运行方法的类 -->
                            <arguments>
                                <!-- 如果需要传递参数给 main 方法，可以在这里添加 -->
                            </arguments>
                            <classpathScope>compile</classpathScope> <!-- 使用编译时的类路径 -->
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
